## org.eclipse.datatools.connectivity.sqm.loader
Class JDBCTableLoader.LocalTempTableFactory

    java.lang.Object
      org.eclipse.datatools.connectivity.sqm.loader.JDBCTableLoader.TableFactory
          org.eclipse.datatools.connectivity.sqm.loader.JDBCTableLoader.LocalTempTableFactory

All Implemented Interfaces:
  JDBCTableLoader.ITableFactory

Enclosing class:
  JDBCTableLoader

public static class JDBCTableLoader.LocalTempTableFactory
extends JDBCTableLoader.TableFactory

Base factory implementation for LOCAL TEMPORARY type tables.

Constructor Summary
`JDBCTableLoader.LocalTempTableFactory()`

Method Summary
`void` `initialize(Table table, java.sql.ResultSet rs)` Initializes the isLocal attribute in addition to the the attributes initialized by super().

Methods inherited from class org.eclipse.datatools.connectivity.sqm.loader.JDBCTableLoader.TableFactory
`createTable, getTableEClass, setSupportedColumns`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JDBCTableLoader.LocalTempTableFactory

    public JDBCTableLoader.LocalTempTableFactory()

Method Detail

### initialize

    public void initialize(Table table,
                           java.sql.ResultSet rs)
                    throws java.sql.SQLException

  Initializes the isLocal attribute in addition to the the attributes initialized by super().

  Specified by:
    `initialize` in interface `JDBCTableLoader.ITableFactory`
  Overrides:
    `initialize` in class `JDBCTableLoader.TableFactory`
  Parameters:
    `table` - a new Table object
    `rs` - the result set
  Throws:
    `java.sql.SQLException` - if anything goes wrong
  See Also:
    `JDBCTableLoader.TableFactory.initialize(org.eclipse.datatools.modelbase.sql.tables.Table, java.sql.ResultSet)`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.